Fiscal Harmony API
  1. Account
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
      • Add Tax Mapping
      • Get Specific Tax Mapping
      • Update Tax Mapping
      • Delete Tax Mapping
    • Currency Mappings
      • Supported Currencies
      • Get All CurrencyMappings
      • Add Currency Mapping
      • Get Specific Currency Mapping
      • Update Currency Mapping
      • Delete Currency Mapping
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Account

Get Profile

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
GET
/profile
Last modified:2026-03-02 13:29:03
This endpoint returns the Fiscal Harmony account details of the authenticated user.

Request

Header Params

Responses

🟢200
application/json
Returns the user information as a Profile.
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1209598-0-default/profile' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1'
Response Response Example
{
    "Id": 1,
    "FullName": "John Smith",
    "Username": "johnsmith",
    "Email": "john@email.co.zw",
    "FiscalProvider": "1a23bc4d-1234-abcd-abcd-1234abcd1234"
}
Modified at 2026-03-02 13:29:03
Previous
Account
Next
Get Fiscal Device
Built with